﻿using System;
using System.Collections.Generic;
using System.Windows.Markup;
using System.IO;

namespace SpritePacker
{
	class Program
	{
		public static void Main(string[] args)
		{
			List<string> values = new List<string>();
			for(int i = 0; i < args.Length; i++)
			{
				switch(args[i])
				{
					case "--help":
						Console.WriteLine("Help text coming soon!");
						return;
						break;
					case "--version":
						Console.WriteLine("Version text coming soon!");
						break;
					default:
						values.Add(args[i]);
						break;
				}
			}

			Packer spritePacker = new Packer();
			foreach(string filename in values)
			{
				if (File.Exists(filename))
					spritePacker.Add(new Sprite(filename));
				else
					Console.Error.WriteLine("Warning: Ignoring non-existent file '{0}'.", filename);
			}
			spritePacker.Arrange();
			Console.WriteLine(spritePacker.ToString());
		}
	}
}
